=== debian/changelog ===
repowerd (2016.08.3+16.10.20160830.1-0ubuntu1) yakkety; urgency=medium

  * New 2016.08.3 release
    - Fix "Low battery notification turns screen on and never turns
      it off again." (LP: #1618417)
    - Fix "lock display when idle timeout not honoured" (LP: #1615001)
    - Fix "Missing powerd-cli active" (LP: #1618072)

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Tue, 30 Aug 2016 16:36:58 +0000

repowerd (2016.08.2+16.10.20160823.1-0ubuntu1) yakkety; urgency=medium

  * New 2016.08.2 release
    - Fix "Regression: In dark conditions autobrightness does not
      adapt" (LP: #1613871)

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Tue, 23 Aug 2016 14:22:58 +0000

repowerd (2016.08.1+16.10.20160817.1-0ubuntu1) yakkety; urgency=medium

  * New 2016.08.1 release
    - Fix "Display turns off right after playing back a long video"
      (LP: #1602739)
    - Fix "call screen still turns off after rejecting the call on
      the remote end without answering." (LP: #1613506)

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Wed, 17 Aug 2016 17:48:35 +0000

repowerd (2016.08+16.10.20160811-0ubuntu1) yakkety; urgency=medium

  * New 2016.08 release
    - Fix "suspends during video playback when USB gets unplugged"
      (LP: #1602933)

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Thu, 11 Aug 2016 14:17:03 +0000

repowerd (2016.06+16.10.20160808-0ubuntu1) yakkety; urgency=medium

  * debian/repowerd.service:
    - Make service dependency on lxc-android-config.service optional
      ('Wants' instead of 'Requires')
    - Silently fail if lxc-android-config.service is missing

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Mon, 08 Aug 2016 08:59:28 +0000

repowerd (2016.06+16.10.20160706.1-0ubuntu1) yakkety; urgency=medium

  * Initial release (LP: #1599271)

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Wed, 06 Jul 2016 14:24:10 +0000
