=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing --with systemd

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DREPOWERD_DISABLE_TIME_SENSITIVE_TESTS=ON
