## repowerd 2017.03+17.04.20170403-0ubuntu1

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 project(repowerd)
 
-set(REPOWERD_VERSION "2016.08.3")
+set(REPOWERD_VERSION "2017.03")
 
 cmake_minimum_required(VERSION 3.0)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
@@ -37,6 +37,7 @@
 
 pkg_check_modules(ANDROID_PROPERTIES REQUIRED libandroid-properties)
 pkg_check_modules(GIO REQUIRED gio-2.0)
+pkg_check_modules(GIO_UNIX REQUIRED gio-unix-2.0)
 pkg_check_modules(UA REQUIRED ubuntu-platform-api)
 pkg_check_modules(LIBHARDWARE REQUIRED libhardware)
 pkg_check_modules(UBUNTU_PLATFORM_HARDWARE_API REQUIRED ubuntu-platform-hardware-api)
@@ -67,8 +68,8 @@
     link_libraries(tsan) # Workaround for LP:1413474
 endif()
 
-set(POWERD_DEVICE_CONFIGS_PATH "${CMAKE_INSTALL_FULL_DATAROOTDIR}/powerd/device_configs")
-set(REPOWERD_DEVICE_CONFIGS_PATH "${CMAKE_INSTALL_FULL_DATAROOTDIR}/repowerd/device-configs")
+set(POWERD_DEVICE_CONFIG_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/powerd/device_configs")
+set(REPOWERD_DEVICE_CONFIG_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/repowerd/device-configs")
 
 add_definitions(-DREPOWERD_VERSION="${REPOWERD_VERSION}")
