=== src/adapters/CMakeLists.txt ===
--- 
+++ 
@@ -30,27 +30,32 @@
     dbus_event_loop.cpp
     dbus_message_handle.cpp
     dev_alarm_wakeup_service.cpp
+    default_state_machine_options.cpp
     event_loop.cpp
     event_loop_timer.cpp
     fd.cpp
-    libsuspend_suspend_control.cpp
+    libsuspend_system_power_control.cpp
+    logind_session_tracker.cpp
+    logind_system_power_control.cpp
     monotone_spline.cpp
     null_log.cpp
     ofono_voice_call_service.cpp
     path.cpp
     real_chrono.cpp
     real_filesystem.cpp
+    real_temporary_suspend_inhibition.cpp
+    repowerd_service.cpp
     syslog_log.cpp
     sysfs_backlight.cpp
-    system_shutdown_control.cpp
+    timerfd_wakeup_service.cpp
     ubuntu_light_sensor.cpp
     ubuntu_performance_booster.cpp
     ubuntu_proximity_sensor.cpp
-    unity_display_power_control.cpp
+    unity_display.cpp
     unity_power_button.cpp
     unity_screen_service.cpp
     unity_user_activity.cpp
-    upower_power_source.cpp
+    upower_power_source_and_lid.cpp
 )
 
 add_library(
@@ -64,6 +69,7 @@
     suspend
     ${ANDROID_PROPERTIES_LDFLAGS} ${ANDROID_PROPERTIES_LIBRARIES}
     ${GIO_LDFLAGS} ${GIO_LIBRARIES}
+    ${GIO_UNIX_LDFLAGS} ${GIO_UNIX_LIBRARIES}
     ${LIBHARDWARE_LDFLAGS} ${LIBHARDWARE_LIBRARIES}
     ${UA_LDFLAGS} ${UA_LIBRARIES}
     ${UBUNTU_PLATFORM_HARDWARE_API_LDFLAGS} ${UBUNTU_PLATFORM_HARDWARE_API_LIBRARIES}
@@ -74,6 +80,7 @@
 
     ${ANDROID_PROPERTIES_INCLUDE_DIRS}
     ${GIO_INCLUDE_DIRS}
+    ${GIO_UNIX_INCLUDE_DIRS}
     ${LIBHARDWARE_INCLUDE_DIRS}
     ${UA_INCLUDE_DIRS}
     ${UBUNTU_PLATFORM_HARDWARE_API_INCLUDE_DIRS}
