=== tests/adapter-tests/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 add_executable(
     repowerd-adapter-tests
 
+    current_thread_name.cpp
     dbus_bus.cpp
     dbus_client.cpp
     fake_android_properties.cpp
@@ -26,9 +27,11 @@
     fake_device_quirks.cpp
     fake_filesystem.cpp
     fake_libhardware.cpp
+    fake_logind.cpp
     fake_ofono.cpp
     fake_upower.cpp
     fake_wakeup_service.cpp
+    repowerd_dbus_client.cpp
     run_command.cpp
     temporary_environment_value.cpp
     temporary_file.cpp
@@ -37,23 +40,35 @@
     test_android_backlight.cpp
     test_android_autobrightness_algorithm.cpp
     test_android_device_config.cpp
+    test_android_device_quirks.cpp
     test_backlight_brightness_control.cpp
+    test_brightness_params.cpp
+    test_dbus_event_loop.cpp
+    test_default_state_machine_options.cpp
     test_dev_alarm_wakeup_service.cpp
+    test_event_loop.cpp
     test_event_loop_timer.cpp
+    test_fd.cpp
+    test_logind_session_tracker.cpp
+    test_logind_system_power_control.cpp
     test_monotone_spline.cpp
     test_ofono_voice_call_service.cpp
     test_path.cpp
     test_powerd_service.cpp
     test_real_chrono.cpp
     test_real_filesystem.cpp
+    test_real_temporary_suspend_inhibition.cpp
+    test_repowerd_service.cpp
     test_sysfs_backlight.cpp
+    test_timerfd_wakeup_service.cpp
     test_ubuntu_light_sensor.cpp
     test_ubuntu_proximity_sensor.cpp
-    test_unity_display_power_control.cpp
+    test_unique_random_pool.cpp
+    test_unity_display.cpp
     test_unity_power_button.cpp
     test_unity_screen_service.cpp
     test_unity_user_activity.cpp
-    test_upower_power_source.cpp
+    test_upower_power_source_and_lid.cpp
 )
 
 target_link_libraries(
@@ -69,7 +84,16 @@
 )
 
 if (REPOWERD_DISABLE_TIME_SENSITIVE_TESTS)
-    set(ADAPTER_TESTS_FILTER "${ADAPTER_TESTS_FILTER}:ARealChrono.*:AnEventLoopTimer.*")
+    set(
+        ADAPTER_TESTS_FILTER
+        "${ADAPTER_TESTS_FILTER}:\
+         ARealChrono.*:\
+         AnEventLoopTimer.*:\
+         ARealTemporarySuspendInhibition.*:\
+         ATimerfdWakeupService.*:\
+         AUnityDisplay.waits_at_most_one_second_for_turn_on_response"
+    )
+    string(REPLACE " " "" ADAPTER_TESTS_FILTER ${ADAPTER_TESTS_FILTER})
 endif()
 
 add_test(
