=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Section: admin
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 9),
+               dh-apport,
                dh-systemd,
                android-headers,
                cmake,
