=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --parallel --fail-missing --with systemd
+	dh $@ --parallel --fail-missing --with apport,systemd
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
