=== data/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 install(
   FILES ${device_config_files}
-  DESTINATION ${REPOWERD_DEVICE_CONFIGS_PATH}
+  DESTINATION ${REPOWERD_DEVICE_CONFIG_DIR}
 )
 
 install(
