=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,10 @@
 include_directories(
     ${CMAKE_SOURCE_DIR}
 )
+
+if (REPOWERD_ENABLE_HYBRIS)
+    add_definitions(-DREPOWERD_ENABLE_HYBRIS)
+endif()
 
 add_subdirectory(core)
 add_subdirectory(adapters)
