=== src/adapters/CMakeLists.txt ===
--- 
+++ 
@@ -16,11 +16,20 @@
 
 add_subdirectory(libsuspend)
 
+if (REPOWERD_ENABLE_HYBRIS)
+    set(REPOWERD_ADAPTER_HYBRIS_SRCS
+        android_backlight.cpp
+        dev_alarm_wakeup_service.cpp
+        ubuntu_light_sensor.cpp
+        ubuntu_performance_booster.cpp
+        ubuntu_proximity_sensor.cpp
+    )
+endif()
+
 set(
     REPOWERD_ADAPTER_SRCS
 
     android_autobrightness_algorithm.cpp
-    android_backlight.cpp
     android_device_config.cpp
     android_device_quirks.cpp
     backlight_brightness_control.cpp
@@ -29,7 +38,6 @@
     dbus_connection_handle.cpp
     dbus_event_loop.cpp
     dbus_message_handle.cpp
-    dev_alarm_wakeup_service.cpp
     default_state_machine_options.cpp
     event_loop.cpp
     event_loop_timer.cpp
@@ -37,6 +45,9 @@
     libsuspend_system_power_control.cpp
     logind_session_tracker.cpp
     logind_system_power_control.cpp
+    lsc_display.cpp
+    lsc_power_button.cpp
+    lsc_user_activity.cpp
     monotone_spline.cpp
     null_log.cpp
     ofono_voice_call_service.cpp
@@ -44,18 +55,14 @@
     real_chrono.cpp
     real_filesystem.cpp
     real_temporary_suspend_inhibition.cpp
-    repowerd_service.cpp
+    repowerd_settings_service.cpp
     syslog_log.cpp
     sysfs_backlight.cpp
     timerfd_wakeup_service.cpp
-    ubuntu_light_sensor.cpp
-    ubuntu_performance_booster.cpp
-    ubuntu_proximity_sensor.cpp
-    unity_display.cpp
-    unity_power_button.cpp
     unity_screen_service.cpp
-    unity_user_activity.cpp
     upower_power_source_and_lid.cpp
+
+    ${REPOWERD_ADAPTER_HYBRIS_SRCS}
 )
 
 add_library(
