=== tests/adapter-tests/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,17 @@
 #
 # Authored by: Alexandros Frantzis <alexandros.frantzis@canonical.com>
 
+if (REPOWERD_ENABLE_HYBRIS)
+    set(REPOWERD_ADAPTER_TEST_HYBRIS_SRCS
+        fake_libhardware.cpp
+
+        test_android_backlight.cpp
+        test_dev_alarm_wakeup_service.cpp
+        test_ubuntu_light_sensor.cpp
+        test_ubuntu_proximity_sensor.cpp
+    )
+endif()
+
 add_executable(
     repowerd-adapter-tests
 
@@ -26,18 +37,16 @@
     fake_device_config.cpp
     fake_device_quirks.cpp
     fake_filesystem.cpp
-    fake_libhardware.cpp
     fake_logind.cpp
     fake_ofono.cpp
     fake_upower.cpp
     fake_wakeup_service.cpp
-    repowerd_dbus_client.cpp
+    repowerd_settings_dbus_client.cpp
     run_command.cpp
     temporary_environment_value.cpp
     temporary_file.cpp
     unity_screen_dbus_client.cpp
 
-    test_android_backlight.cpp
     test_android_autobrightness_algorithm.cpp
     test_android_device_config.cpp
     test_android_device_quirks.cpp
@@ -45,30 +54,29 @@
     test_brightness_params.cpp
     test_dbus_event_loop.cpp
     test_default_state_machine_options.cpp
-    test_dev_alarm_wakeup_service.cpp
     test_event_loop.cpp
     test_event_loop_timer.cpp
     test_fd.cpp
     test_logind_session_tracker.cpp
     test_logind_system_power_control.cpp
+    test_lsc_display.cpp
+    test_lsc_power_button.cpp
+    test_lsc_user_activity.cpp
     test_monotone_spline.cpp
     test_ofono_voice_call_service.cpp
     test_path.cpp
-    test_powerd_service.cpp
     test_real_chrono.cpp
     test_real_filesystem.cpp
     test_real_temporary_suspend_inhibition.cpp
     test_repowerd_service.cpp
+    test_repowerd_settings_service.cpp
     test_sysfs_backlight.cpp
     test_timerfd_wakeup_service.cpp
-    test_ubuntu_light_sensor.cpp
-    test_ubuntu_proximity_sensor.cpp
     test_unique_random_pool.cpp
-    test_unity_display.cpp
-    test_unity_power_button.cpp
     test_unity_screen_service.cpp
-    test_unity_user_activity.cpp
     test_upower_power_source_and_lid.cpp
+
+    ${REPOWERD_ADAPTER_TEST_HYBRIS_SRCS}
 )
 
 target_link_libraries(
@@ -78,7 +86,7 @@
     repowerd-adapters
     repowerd-test-common
 
-    ${GTEST_BOTH_LIBRARIES}
+    ${GTEST_LIBRARY}
     ${GMOCK_LIBRARY}
     ${GMOCK_MAIN_LIBRARY}
 )
@@ -91,7 +99,7 @@
          AnEventLoopTimer.*:\
          ARealTemporarySuspendInhibition.*:\
          ATimerfdWakeupService.*:\
-         AUnityDisplay.waits_at_most_one_second_for_turn_on_response"
+         AnLscDisplay.waits_at_most_one_second_for_turn_on_response"
     )
     string(REPLACE " " "" ADAPTER_TESTS_FILTER ${ADAPTER_TESTS_FILTER})
 endif()
