=== tests/common/CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
     repowerd-core
 
-    ${GTEST_BOTH_LIBRARIES}
+    ${GTEST_LIBRARY}
     ${GMOCK_LIBRARY}
     ${GMOCK_MAIN_LIBRARY}
 )
