=== tests/core-tests/CMakeLists.txt ===
--- 
+++ 
@@ -61,7 +61,7 @@
     repowerd-core
     repowerd-test-common
 
-    ${GTEST_BOTH_LIBRARIES}
+    ${GTEST_LIBRARY}
     ${GMOCK_LIBRARY}
     ${GMOCK_MAIN_LIBRARY}
 )
