=== debian/changelog ===
repowerd (2022.01-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1005759).
  * debian/:
    + Drop UBports' Jenkinsfile.
    + Drop repowerd.upstart file. Upstart is dead.
    + Drop transitional package 'powerd'.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump to DH compat level version 13.
  * debian/control:
    + Set Maintainer: and Uploaders: field appropriately for official Debian
      upload.
    + Drop B-Ds on dh-systemd and dh-apport.
    + Comment out B-Ds: android-headers and libandroid-properties-dev.
    + Add R³ field and set it to 'no'.
    + Bump Standards-Version: to 4.6.0. No changes needed.
    + Adjust Homepage: and Vcs-*: fields.
    + Re-phrase SYNOPSIS and LONG_DESCRIPTION fields.
    + Simply B:/R: powerd. Transition time is over.
  * debian/rules:
    + Add get-orig-source target.
    + Drop --with apport,systemd. (apport: Not available in Debian, systemd:
      default these days anyway).
    + Move --fail-missing to extra override.
    + Drop --parallel from dh call. Now default, as well.
    + White-space / indentation fix.
    + Enable all hardening build flags.
  * debian/watch:
    + Add file.
  * debian/source/format:
    + Switch to '3.0 (quilt)'.
  * debian/repowerd.service:
     + Comment out Wants=/After=lxc-android-config.serivce. This is Ubuntu Touch
       specific.
  * debian/patches:
    + Add 1001_fix-non-libhybris-builds.patch. Fix build without libandroid-
      properties-dev and android-headers (libhybris).
    + Add 1002_fix-typo.patch. Fix typo.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/copyright:
    + Use secure URL in Format: field.
    + Add auto-generated copyright.in file.
    + Rewrite copyright attributions.
  * lintian:
    + Override missing manual pages (for now) and other overrides.
  * debian/repowerd.links:
    + Drop powerd symlink, powerd compat binary won't be provided in Debian.
  * debian/repowerd.apport:
    + Drop file. No Apport available in Debian.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 14 Feb 2022 23:23:13 +0100

repowerd (2018.04+ubports) xenial; urgency=medium

  * Import to UBports
  * Always set brightness before first autobrightness setting

 -- Marius Gripsgard <marius@ubports.com>  Mon, 15 Jan 2018 15:45:57 +0100
