=== debian/control ===
Source: repowerd
Priority: optional
Section: admin
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 13),
#               android-headers,
               cmake,
               cmake-extras,
               dbus,
               googletest | google-mock,
#               libandroid-properties-dev,
               libglib2.0-dev,
               libgtest-dev,
               pkg-config
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/core/repowerd/
Vcs-Browser: https://salsa.debian.org/ubports-team/repowerd/
Vcs-Git: https://salsa.debian.org/ubports-team/repowerd.git

Package: repowerd
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         repowerd-data (= ${source:Version})
Breaks: powerd,
Replaces: powerd,
Description: Power daemon to monitor and control system power state (daemon)
 This daemon monitors and controls system power states for the Lomiri
 Operating Environment. It provides a D-Bus interface for system services
 to request a power state, essentially allowing services to block
 suspend.
 .
 This package contains repowerd daemon itself.

Package: repowerd-data
Architecture: all
Depends: ${misc:Depends}
Breaks: powerd,
Replaces: powerd,
Description: Power daemon to monitor and control system power state (daemon data)
 This daemon monitors and controls system power states for the Lomiri
 Operating Environment. It provides a D-Bus interface for system services
 to request a power state, essentially allowing services to block
 suspend.
 .
 This package contains data files needed by repowerd.

Package: repowerd-tools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         repowerd-data (= ${source:Version})
Description: Power daemon to monitor and control system power state (tools)
 This daemon monitors and controls system power states for the Lomiri
 Operating Environment. It provides a D-Bus interface for system services
 to request a power state, essentially allowing services to block
 suspend.
 .
 This package contains tools that use the repowerd infrastructure to interact
 with various hardware components. These tools are mainly useful for manual
 integration testing.
