=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/buildflags.mk
# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DREPOWERD_ENABLE_HYBRIS=OFF \
		-DREPOWERD_DISABLE_TIME_SENSITIVE_TESTS=ON

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
