=== debian/watch ===
version=4
https://gitlab.com/ubports/core/repowerd/tags .*/repowerd-(\d\S+)\.tar\.gz
